package pl.edu.pw.mini.jk.sg.mixeduct.transfer;

import static org.junit.Assert.*;

import java.util.stream.Stream;

import org.junit.Test;


public class BestMoveFrequencyProbabilityTest {

    @Test
    public void testFold() {
        assertEquals(new Integer(4), BestMoveFrequencyProbability.fold(Stream.of("a","bb","c"), 0, (x,s) -> x+s.length()));
    }

}
